#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: control-monad-free
version: 0.6.1
id: control-monad-free-0.6.1-EoxCTKmWueYB1zNGHjgrNE
key: control-monad-free-0.6.1-EoxCTKmWueYB1zNGHjgrNE
license: PublicDomain
maintainer: pepeiborra@gmail.com
stability: experimental
homepage: http://github.com/pepeiborra/control-monad-free
synopsis: Free monads and monad transformers
description:
    This package provides datatypes to construct Free monads,
    Free monad transformers, and useful instances. In addition it
    provides the constructs to avoid quadratic complexity of left
    associative bind, as explained in:
    .
    * Janis Voigtlander, /Asymptotic Improvement of Computations over Free Monads, MPC'\''08/
category: Control, Monads
author: Luke Palmer, Pepe Iborra
exposed: True
indefinite: False
exposed-modules:
    Control.Monad.Free Control.Monad.Free.Improve
    Control.Monad.Free.Zip
abi: 15cd2680ad71bc967efe7b8331cf9dc1
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/control-monad-free-0.6.1
library-dirs: /usr/lib/ghc-8.2.2/site-local/control-monad-free-0.6.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/control-monad-free-0.6.1
hs-libraries: HScontrol-monad-free-0.6.1-EoxCTKmWueYB1zNGHjgrNE
depends:
    base-4.10.1.0 prelude-extras-0.4.0.3-2BTovQep0HPEQRrUv78ItR
    transformers-0.5.2.0
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             prelude-extras-0.4.0.3-2BTovQep0HPEQRrUv78ItR=22732e0b577c31809575590bfdb60d51
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
haddock-interfaces: /usr/share/doc/haskell-control-monad-free/html/control-monad-free.haddock
haddock-html: /usr/share/doc/haskell-control-monad-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

